Package org.eclipse.net4j.util.event

## Interface IListener

- All Superinterfaces:
    `java.util.EventListener`
  All Known Subinterfaces:
    `IListener.NotifierAware`
  All Known Implementing Classes:
    `ContainerEventAdapter`, `ContainerItemProvider`, `ContainerItemProvider.FixedChildrenNode`, `ContainerItemProvider.LeafNode`, `ContainerPathItemProvider`, `ContainerView.ContainerViewItemProvider`, `ElementWizardComposite`, `ElementWizardComposite.WithCombo`, `ElementWizardComposite.WithRadios`, `EventPrinter`, `FactoryTypeContentProvider`, `ItemProvider`, `LifecycleEventAdapter`, `LifecycleEventConverter`, `SashLayoutAction`, `SashLayoutAction.Horizontal`, `SashLayoutAction.Vertical`, `SelfAttachingContainerListener`, `SelfAttachingContainerListener.Delegating`, `StaticContentProvider`, `StructuredContentProvider`, `ThrowableEventAdapter`, `ThrowableEventAdapter.ToPrintStream`
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface IListener
      extends java.util.EventListener

  A callback interface that `notifiers` use to pass `events` to.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static interface` | `IListener.NotifierAware` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `notifyEvent​(IEvent event)` |

- - ### Method Detail

    - #### notifyEvent

          void notifyEvent​(IEvent event)